/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.schema-table{
    &-head{
        width: 100%;
        padding-bottom: rem(40);
        // border-bottom: 1px solid var(--border-gray);
        // margin-bottom: 40px;

        &-title{
            font-size: rem(14);
            line-height: rem(21);
            font-weight: 400;
        }

        & + .schema-table-line{
            border-top: 0;
            padding-top: 0;
        }

    }

    &-line{
        width: 100%;
        // margin-bottom: rem(27);
        font-size: rem(14);
        line-height: rem(21);
        font-weight: 700;
        color: var(--white);
        padding: rem(40) rem(0);
        border-top: rem(1) solid var(--border-color);
        border-bottom: rem(1) solid var(--border-color);
    }

    &-wrapper{
        display: flex;
        align-items: center;
    }

    &-tags{
        display: flex;
        align-items: center;
        margin-left: rem(14);

        .schema-tag{
            border-radius: rem(40);
            font-size: rem(12);
            line-height: rem(14);
            font-weight: 500;  
            padding: rem(4);
            margin-right: rem(4);
            border: 1px solid; 

            &:last-child{
                margin-right: 0;
            }

            &.secondary{
                border-color: var(--tag-secondary);
                color: var(--tag-secondary);
            }

            &.default{
                border-color: var(--tag-default);
                color: var(--tag-default);
            }

            &.null{
                border-color: var(--tag-null);
                color: var(--tag-null);
            }
        }
    }
}